#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "K38IsDogFollowingKillerCondition.generated.h"

class AKiller;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK38IsDogFollowingKillerCondition : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _shouldNegateCondition;

	UPROPERTY(BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	AKiller* _cachedKiller;

public:
	UK38IsDogFollowingKillerCondition();
};

FORCEINLINE uint32 GetTypeHash(const UK38IsDogFollowingKillerCondition) { return 0; }
